package com.ruoyi.system.mapper.visit.dr;

import com.ruoyi.system.domain.visit.dr.VisitDrCheckHistory;
import com.ruoyi.system.domain.visit.dr.VisitDrCheckHistoryExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface VisitDrCheckHistoryMapper {
    long countByExample(VisitDrCheckHistoryExample example);

    int deleteByExample(VisitDrCheckHistoryExample example);

    int deleteByPrimaryKey(String id);

    int insert(VisitDrCheckHistory record);

    int insertSelective(VisitDrCheckHistory record);

    List<VisitDrCheckHistory> selectByExample(VisitDrCheckHistoryExample example);

    VisitDrCheckHistory selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") VisitDrCheckHistory record, @Param("example") VisitDrCheckHistoryExample example);

    int updateByExample(@Param("record") VisitDrCheckHistory record, @Param("example") VisitDrCheckHistoryExample example);

    int updateByPrimaryKeySelective(VisitDrCheckHistory record);

    int updateByPrimaryKey(VisitDrCheckHistory record);
}